package main

import (
	"bytes"
	_ "embed"
	"os"
	"text/template"
)

//go:embed templates/goserver-gin.gotmpl
var ginServerTemplate string

func processGinServerOutput(f string) error {
	tmpl, err := template.New("gin").Parse(ginServerTemplate)
	if err != nil {
		return err
	}
	buf := &bytes.Buffer{}
	err = tmpl.Execute(buf, api)
	if err != nil {
		return err
	}
	return os.WriteFile(f, buf.Bytes(), 0600)
}
