package main

import (
	"bytes"
	_ "embed"
	"os"
	"text/template"
)

//go:embed templates/goserver.gotmpl
var goServerTemplate string

func processGoServerOutput(f string) error {
	tmpl, err := template.New("go").Parse(goServerTemplate)
	if err != nil {
		return err
	}
	buf := &bytes.Buffer{}
	err = tmpl.Execute(buf, api)
	if err != nil {
		return err
	}
	return os.WriteFile(f, buf.Bytes(), 0600)
}
